最新消息:

安装IonCube Loader扩展方法

技术笔记 shanyubawo 1062浏览 0评论

安装WHMCS时需要服务器有IonCube Loader,开始的时候环境中没有,安装不了,搜索了下,找到了方法,记录一下,以后可能还会用到。

第一、下载IonCube Loader不同版本

一般是到/usr/local/目录下

A 32位系统版本

wget http://downloads3.ioncube.com/loader_downloads/ioncube_loaders_lin_x86.tar.gz
tar -zxvf ioncube_loaders_lin_x86.tar.gz

B 64位系统版本

wget http://downloads3.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz
tar -zxvf ioncube_loaders_lin_x86-64.tar.gz

根据我们自己系统的版本位数选择不同的系统环境,如果自己不知道位数可以用uname -a检测出来。

解压缩之后,在php.ini文件的后面加上一句

[ionCube Loader]
zend_extension="/usr/local/ioncube/ioncube_loader_lin_5.6.so"

Ps:因为我的php版本是5.6,所以是5.6.so  ,具体的根据自己的版本号。

 开始的时候我加上不成功,因为我用的是bt宝塔面板,又搜索了下,看到bt面板的官方有说明,使用的是脚本安装的方法,

安装ionCube

wget http://125.88.182.172:5880/ext/ioncube.sh && sh ioncube.sh

这个也比较简单,直接选择就好了。

完成之后,我看看php.ini里面怎么写的

;ionCube
zend_extension = /usr/local/ioncube/ioncube_loader_lin_5.6.so

就是把上面的引号去掉了

其实这个方法就是下载相应的文件,在php.ini文件中加入链接,不是很难。

转载请注明:春风博客 » 安装IonCube Loader扩展方法

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址